Debian Bug report logs - #584350
refcard: FTBFS: xmlroff segfaults

version graph

Package: src:refcard; Maintainer for src:refcard is Debian Documentation Project <debian-doc@lists.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 3 Jun 2010 10:27:45 UTC

Severity: serious

Tags: confirmed, sid, squeeze

Found in version refcard/5.0.5-3

Fixed in version refcard/5.0.6-1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Thu, 03 Jun 2010 10:27:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Thu, 03 Jun 2010 10:27:48 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: refcard: FTBFS: xmlroff segfaults
Date: Thu, 3 Jun 2010 12:10:10 +0200
Source: refcard
Version: 5.0.5-3
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100602 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> XSLT stylesheets DocBook - LaTeX 2e (0.3-1)
> ===================================================
> Processing Revision History 
> Build refcard-it.dbk.pdf
> This is XeTeX, Version 3.1415926-2.2-0.9995.2 (TeX Live 2009/Debian)
>  restricted \write18 enabled.
> entering extended mode
> 
> ** WARNING ** Annotation out of page boundary.
> ** WARNING ** Current page's MediaBox: [0 0 280.63 595.276]
> ** WARNING ** Annotation: [129.765 551.505 218.432 661.094]
> ** WARNING ** Maybe incorrect paper size specified.
> This is XeTeX, Version 3.1415926-2.2-0.9995.2 (TeX Live 2009/Debian)
>  restricted \write18 enabled.
> entering extended mode
> 
> ** WARNING ** Annotation out of page boundary.
> ** WARNING ** Current page's MediaBox: [0 0 280.63 595.276]
> ** WARNING ** Annotation: [129.765 551.505 218.432 661.094]
> ** WARNING ** Maybe incorrect paper size specified.
> This is XeTeX, Version 3.1415926-2.2-0.9995.2 (TeX Live 2009/Debian)
>  restricted \write18 enabled.
> entering extended mode
> 
> ** WARNING ** Annotation out of page boundary.
> ** WARNING ** Current page's MediaBox: [0 0 280.63 595.276]
> ** WARNING ** Annotation: [129.765 551.505 218.432 661.094]
> ** WARNING ** Maybe incorrect paper size specified.
> 'refcard-it-a4.s.pdf' successfully built
> pdfjoin --vanilla --fitpaper true --outfile refcard-it-a4.s.pdf.x.pdf refcard-it-a4.s.pdf empty.pdf empty.pdf
>           ----
>   pdfjam: This is pdfjam version 2.05.
>   pdfjam: Called with '--vanilla': no user or site configuration
>           files will be read.
>   pdfjam: Effective call for this run of pdfjam:
>           /usr/bin/pdfjam --fitpaper 'true' --rotateoversize 'true' --suffix joined --vanilla --fitpaper 'true' --outfile refcard-it-a4.s.pdf.x.pdf -- refcard-it-a4.s.pdf - empty.pdf - empty.pdf - 
>   pdfjam: Calling pdflatex...
>   pdfjam: Finished.  Output was to 'refcard-it-a4.s.pdf.x.pdf'.
> pdfnup --vanilla --nup 3x1 --outfile refcard-it-a4.t.pdf --paper a4paper refcard-it-a4.s.pdf.x.pdf 5-6,1-4
>           ----
>   pdfjam: This is pdfjam version 2.05.
>   pdfjam: Called with '--vanilla': no user or site configuration
>           files will be read.
>   pdfjam: Effective call for this run of pdfjam:
>           /usr/bin/pdfjam --suffix nup --nup '2x1' --landscape --vanilla --nup '3x1' --outfile refcard-it-a4.t.pdf --paper a4paper -- refcard-it-a4.s.pdf.x.pdf 5-6,1-4 
>   pdfjam: Calling pdflatex...
>   pdfjam: Finished.  Output was to 'refcard-it-a4.t.pdf'.
> rm refcard-it-a4.s.pdf.x.pdf
> L=`echo refcard-it-a4.pdf | sed 's/.*-\(.*\)-.*/\1/'`; \
> 	xsltproc --nonet --novalid metadata.xsl entries-$L.dbk | \
> 	pdftk refcard-it-a4.t.pdf update_info - output refcard-it-a4.pdf
> xsltproc --nonet --novalid preproc.xsl entries-ja.dbk > refcard-ja.dbk
> xsltproc --nonet --novalid fo.xsl refcard-ja.dbk > refcard-ja-a4.fo
> Making portrait pages on USletter paper (99mmx210mm)
> L=`echo refcard-ja-a4.s.pdf | sed 's/.*-\(.*\)-.*/\1/'`; \
> 	USE_XR=`echo " ar cs el he hi ja ml sk zh_CN zh_TW " | grep " $L "`; \
> 	if [ -n "$USE_XR" ]; then \
> 	    USE_GP=`echo " ar eu he hi ja sv " | grep " $L "`; \
> 	    if [ -n "$USE_GP" ]; then \
> 		xmlroff --backend gp -o refcard-ja-a4.s.pdf refcard-ja-a4.fo; \
> 	    else \
> 		xmlroff --backend cairo -o refcard-ja-a4.s.pdf refcard-ja-a4.fo; \
> 	    fi; \
> 	else \
> 	    if [ -n "$USE_DBLATEX" ]; then \
> 		SRC=`echo refcard-ja-a4.fo|sed 's/-\(a4\|lt\).fo/.dbk/'`; \
> 		FMT=`echo refcard-ja-a4.fo|sed 's/.*-\(a4\|lt\).fo/\1/'`; \
> 		dblatex --backend=xetex --texstyle=refcard.sty --xsl-user=dblatex.xsl --output=refcard-ja-a4.s.pdf --param=format=$FMT $SRC; \
> 	    else \
> 		fop refcard-ja-a4.fo refcard-ja-a4.s.pdf; \
> 	    fi; \
> 	fi
> 
> (xmlroff:24762): libfo-WARNING **: fo-area-page-error: Child area overflows parent area
> Object path: /FoAreaTree[1]/FoAreaPage[4]/FoAreaViewportReference[1]
> 
> (xmlroff:24762): libfo-WARNING **: fo-area-page-error: Child area overflows parent area
> Object path: /FoAreaTree[1]/FoAreaPage[4]/FoAreaViewportReference[1]
> 
> (xmlroff:24762): libfo-WARNING **: fo-area-page-error: Child area overflows parent area
> Object path: /FoAreaTree[1]/FoAreaPage[4]/FoAreaViewportReference[1]
> 
> ** (xmlroff:24762): WARNING **: IPP request failed with status 1280
> 
> ** (xmlroff:24762): WARNING **: IPP request failed with status 1280
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed

> [...] 

> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> 
> (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> Segmentation fault
> make[1]: *** [refcard-ja-a4.s.pdf] Error 139

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/06/02/refcard_5.0.5-3_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) confirmed. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Fri, 27 Aug 2010 15:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Tue, 31 Aug 2010 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Tue, 31 Aug 2010 21:18:03 GMT) Full text and rfc822 format available.

Message #12 received at 584350@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 584350@bugs.debian.org, debacle@debian.org, xmlroff@packages.debian.org
Cc: debian-doc@debian.or.jp
Subject: Re: Bug#584350: refcard: FTBFS: xmlroff segfaults on japanese PDF
Date: Tue, 31 Aug 2010 23:15:32 +0200
tag 584350 help
thanks

Hi,

Wolfgang, how did you succeed in building the japanese PDF ?
xmlroff version did not change in sid since your upload.

On Thu, Jun 03, 2010 at 12:10:10PM +0200, Lucas Nussbaum wrote:
> Source: refcard
> Version: 5.0.5-3
> Severity: serious
> Tags: squeeze sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20100602 qa-ftbfs
> Justification: FTBFS on amd64
> 
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
> 
> Relevant part:
[..]
> > xsltproc --nonet --novalid preproc.xsl entries-ja.dbk > refcard-ja.dbk
> > xsltproc --nonet --novalid fo.xsl refcard-ja.dbk > refcard-ja-a4.fo
> > Making portrait pages on USletter paper (99mmx210mm)
> > L=`echo refcard-ja-a4.s.pdf | sed 's/.*-\(.*\)-.*/\1/'`; \
> > 	USE_XR=`echo " ar cs el he hi ja ml sk zh_CN zh_TW " | grep " $L "`; \
> > 	if [ -n "$USE_XR" ]; then \
> > 	    USE_GP=`echo " ar eu he hi ja sv " | grep " $L "`; \
> > 	    if [ -n "$USE_GP" ]; then \
> > 		xmlroff --backend gp -o refcard-ja-a4.s.pdf refcard-ja-a4.fo; \

For japanese, gnomeprint backend is used, but xmlroff segaults.

> > 	    else \
> > 		xmlroff --backend cairo -o refcard-ja-a4.s.pdf refcard-ja-a4.fo; \
> > 	    fi; \

Using cairo backend, japanese refcard can be built (while it failed by
the past, see #492597), but I cannot get correct correct letters in the
generated PDF (while metadata are correctly endoded).

> > 	else \
> > 	    if [ -n "$USE_DBLATEX" ]; then \
> > 		SRC=`echo refcard-ja-a4.fo|sed 's/-\(a4\|lt\).fo/.dbk/'`; \
> > 		FMT=`echo refcard-ja-a4.fo|sed 's/.*-\(a4\|lt\).fo/\1/'`; \
> > 		dblatex --backend=xetex --texstyle=refcard.sty --xsl-user=dblatex.xsl --output=refcard-ja-a4.s.pdf --param=format=$FMT $SRC; \
> > 	    else \
> > 		fop refcard-ja-a4.fo refcard-ja-a4.s.pdf; \
> > 	    fi; \
> > 	fi

No more success with the japanese PDF using fop or dblatex (which means
#492350 is to be reopened ?).
(I will provide soon generated the several test cases).

> > (xmlroff:24762): libfo-WARNING **: fo-area-page-error: Child area overflows parent area
> > Object path: /FoAreaTree[1]/FoAreaPage[4]/FoAreaViewportReference[1]
> > 
> > (xmlroff:24762): libfo-WARNING **: fo-area-page-error: Child area overflows parent area
> > Object path: /FoAreaTree[1]/FoAreaPage[4]/FoAreaViewportReference[1]
> > 
> > (xmlroff:24762): libfo-WARNING **: fo-area-page-error: Child area overflows parent area
> > Object path: /FoAreaTree[1]/FoAreaPage[4]/FoAreaViewportReference[1]
> > 
> > ** (xmlroff:24762): WARNING **: IPP request failed with status 1280
> > 
> > ** (xmlroff:24762): WARNING **: IPP request failed with status 1280
> > 
> > (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
[..]
> > (xmlroff:24762): GnomePrint-CRITICAL **: gnome_rfont_get_glyph_stdadvance: assertion `glyph < GRF_NUM_GLYPHS (rfont)' failed
> > Segmentation fault
> > make[1]: *** [refcard-ja-a4.s.pdf] Error 139
> 
> The full build log is available from:
>    http://people.debian.org/~lucas/logs/2010/06/02/refcard_5.0.5-3_lsid64.buildlog
 
For the moment, I see no way of fixing other than disabling japanese
build.

-- 
Simon Paillard




Added tag(s) help. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Tue, 31 Aug 2010 21:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Wed, 01 Sep 2010 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Wed, 01 Sep 2010 12:06:03 GMT) Full text and rfc822 format available.

Message #19 received at 584350@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: "Simon Paillard" <spaillard@debian.org>
Cc: 584350@bugs.debian.org
Subject: Re: Bug#584350: refcard: FTBFS: xmlroff segfaults on japanese PDF
Date: Wed, 01 Sep 2010 14:02:40 +0200
Quoting "Simon Paillard" <spaillard@debian.org>:
> Wolfgang, how did you succeed in building the japanese PDF ?

I didn't do any work on the refcard since a long time.
I'll try to take a look these days.
Real life keeps me busy.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Sun, 19 Sep 2010 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Sun, 19 Sep 2010 15:48:03 GMT) Full text and rfc822 format available.

Message #24 received at 584350@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: "W. Martin Borgert" <debacle@debian.org>
Cc: 584350@bugs.debian.Org
Subject: Re: Bug#584350: refcard: FTBFS: xmlroff segfaults on japanese PDF
Date: Sun, 19 Sep 2010 17:44:45 +0200
On Sun, Sep 19, 2010 at 05:19:04PM +0200, W. Martin Borgert wrote:
> On 2010-09-18 23:04, Simon Paillard wrote:
> > I still wonder which were your build conditions that allowed you to
> > * successfully * build the package.
> 
> Interesting: Refcard builds fine on my system (sid). Building in
> a clean sid chroot lead to xmlroff crashes. Disabling the
> deprecated gnomeprint backend entirely (GPLIST variable in the
> refcard Makefile), made it work.

That's why I noticed too
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584350#12) but the
build result for japanese is not correct

> The reason to use gnomeprint was a bug in the default cairo backend.
> But the original bug is still there, I re-checked #492597 and I can
> reproduce the crash in my chroot. Anyway, I will upload refcard now
> and we will see whether xmlroff crashes on other machines...

But the gnomeprint backend is deprecated #542564

-- 
Simon Paillard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Sun, 19 Sep 2010 15:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Sun, 19 Sep 2010 15:54:06 GMT) Full text and rfc822 format available.

Message #29 received at 584350@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: Simon Paillard <spaillard@debian.org>
Cc: 584350@bugs.debian.Org
Subject: Re: Bug#584350: refcard: FTBFS: xmlroff segfaults on japanese PDF
Date: Sun, 19 Sep 2010 17:52:14 +0200
On 2010-09-19 17:44, Simon Paillard wrote:
> On Sun, Sep 19, 2010 at 05:19:04PM +0200, W. Martin Borgert wrote:
> > On 2010-09-18 23:04, Simon Paillard wrote:
> > > I still wonder which were your build conditions that allowed you to
> > > * successfully * build the package.
> > 
> > Interesting: Refcard builds fine on my system (sid). Building in
> > a clean sid chroot lead to xmlroff crashes. Disabling the
> > deprecated gnomeprint backend entirely (GPLIST variable in the
> > refcard Makefile), made it work.
>
> That's why I noticed too
> (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584350#12) but the
> build result for japanese is not correct
>
> > The reason to use gnomeprint was a bug in the default cairo backend.
> > But the original bug is still there, I re-checked #492597 and I can
> > reproduce the crash in my chroot. Anyway, I will upload refcard now
> > and we will see whether xmlroff crashes on other machines...
>
> But the gnomeprint backend is deprecated #542564

Yes, that's I wrote 14 lines before :~) Using deprecated stuff
was necessary at that time, because the other backend used to
crash (and still crashes in some cases).

Btw. I committed my changes to SVN. Would you mind to build and
upload? I'm busy - again - and if you to the build, it is one
more check, that my changes are not completely bullshit :~) TIA!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Sun, 19 Sep 2010 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Sun, 19 Sep 2010 15:57:03 GMT) Full text and rfc822 format available.

Message #34 received at 584350@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: "W. Martin Borgert" <debacle@debian.org>
Cc: 584350@bugs.debian.Org
Subject: Re: Bug#584350: refcard: FTBFS: xmlroff segfaults on japanese PDF
Date: Sun, 19 Sep 2010 17:55:01 +0200
On Sun, Sep 19, 2010 at 05:52:14PM +0200, W. Martin Borgert wrote:
> On 2010-09-19 17:44, Simon Paillard wrote:
> > On Sun, Sep 19, 2010 at 05:19:04PM +0200, W. Martin Borgert wrote:
> > > On 2010-09-18 23:04, Simon Paillard wrote:
> > > > I still wonder which were your build conditions that allowed you to
> > > > * successfully * build the package.
> > > 
> > > Interesting: Refcard builds fine on my system (sid). Building in
> > > a clean sid chroot lead to xmlroff crashes. Disabling the
> > > deprecated gnomeprint backend entirely (GPLIST variable in the
> > > refcard Makefile), made it work.
> >
> > That's why I noticed too
> > (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584350#12) but the
> > build result for japanese is not correct
> >
> > > The reason to use gnomeprint was a bug in the default cairo backend.
> > > But the original bug is still there, I re-checked #492597 and I can
> > > reproduce the crash in my chroot. Anyway, I will upload refcard now
> > > and we will see whether xmlroff crashes on other machines...
> >
> > But the gnomeprint backend is deprecated #542564
> 
> Yes, that's I wrote 14 lines before :~) Using deprecated stuff
> was necessary at that time, because the other backend used to
> crash (and still crashes in some cases).

Oops, I overlooked the word :)

> Btw. I committed my changes to SVN. Would you mind to build and
> upload? I'm busy - again - and if you to the build, it is one
> more check, that my changes are not completely bullshit :~) TIA!

Sure, once checked that the japanese and generally CJK build looks ok.

-- 
Simon Paillard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Sun, 19 Sep 2010 19:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Sun, 19 Sep 2010 19:00:07 GMT) Full text and rfc822 format available.

Message #39 received at 584350@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 584350@bugs.debian.Org
Subject: Re: Bug#584350: refcard: FTBFS: xmlroff segfaults on japanese PDF
Date: Sun, 19 Sep 2010 20:58:52 +0200
On Sun, Sep 19, 2010 at 05:55:01PM +0200, Simon Paillard wrote:
> On Sun, Sep 19, 2010 at 05:52:14PM +0200, W. Martin Borgert wrote:
> > On 2010-09-19 17:44, Simon Paillard wrote:
> > > On Sun, Sep 19, 2010 at 05:19:04PM +0200, W. Martin Borgert wrote:
> > > > On 2010-09-18 23:04, Simon Paillard wrote:
> > > > > I still wonder which were your build conditions that allowed you to
> > > > > * successfully * build the package.
> > > > 
> > > > Interesting: Refcard builds fine on my system (sid). Building in
> > > > a clean sid chroot lead to xmlroff crashes. Disabling the
> > > > deprecated gnomeprint backend entirely (GPLIST variable in the
> > > > refcard Makefile), made it work.
> > >
> > > That's why I noticed too
> > > (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584350#12) but the
> > > build result for japanese is not correct

And as mentionned, the JA build is not correct.
Could you please send the list of the packages you have in your sid
system ? It hope it will help

> > > > The reason to use gnomeprint was a bug in the default cairo backend.
> > > > But the original bug is still there, I re-checked #492597 and I can
> > > > reproduce the crash in my chroot. Anyway, I will upload refcard now
> > > > and we will see whether xmlroff crashes on other machines...
> > >
> > > But the gnomeprint backend is deprecated #542564
> > 
> > Yes, that's I wrote 14 lines before :~) Using deprecated stuff
> > was necessary at that time, because the other backend used to
> > crash (and still crashes in some cases).
> 
> Oops, I overlooked the word :)
> 
> > Btw. I committed my changes to SVN. Would you mind to build and
> > upload? I'm busy - again - and if you to the build, it is one
> > more check, that my changes are not completely bullshit :~) TIA!
> 
> Sure, once checked that the japanese and generally CJK build looks ok.

Given the current amount of fuzzy strings (I will issue a call for
translation using podebconf-report-po), it would be insane to upload
now:

ar	111 ok, 21 fuzzy, 68 todo.
bg	111 ok, 68 fuzzy, 21 todo.
ca	111 ok, 68 fuzzy, 21 todo.
cs	111 ok, 68 fuzzy, 21 todo.
da	111 ok, 68 fuzzy, 21 todo.
de	111 ok, 68 fuzzy, 21 todo.
el	111 ok, 21 fuzzy, 68 todo.
es	111 ok, 33 fuzzy, 56 todo.
eu	111 ok, 21 fuzzy, 68 todo.
fi	112 ok, 21 fuzzy, 67 todo.
fr	200 ok.
gl	111 ok, 68 fuzzy, 21 todo.
he	111 ok, 21 fuzzy, 68 todo.
hi	111 ok, 21 fuzzy, 68 todo.
hu	111 ok, 68 fuzzy, 21 todo.
it	110 ok, 22 fuzzy, 68 todo.
ja	111 ok, 21 fuzzy, 68 todo.
lt	111 ok, 21 fuzzy, 68 todo.
ml	14 ok, 186 todo.
ms	111 ok, 21 fuzzy, 68 todo.
nb	111 ok, 68 fuzzy, 21 todo.
nl	111 ok, 68 fuzzy, 21 todo.
pl	111 ok, 68 fuzzy, 21 todo.
pt_BR	111 ok, 21 fuzzy, 68 todo.
pt	111 ok, 68 fuzzy, 21 todo.
ro	111 ok, 68 fuzzy, 21 todo.
ru	200 ok.
sk	111 ok, 21 fuzzy, 68 todo.
sv	111 ok, 68 fuzzy, 21 todo.
tr	111 ok, 21 fuzzy, 68 todo.
uk	111 ok, 68 fuzzy, 21 todo.
vi	200 ok.
zh_CN	111 ok, 68 fuzzy, 21 todo.
zh_TW	111 ok, 21 fuzzy, 68 todo.


-- 
Simon Paillard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Sun, 19 Sep 2010 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Sun, 19 Sep 2010 19:51:03 GMT) Full text and rfc822 format available.

Message #44 received at 584350@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: Simon Paillard <spaillard@debian.org>, 584350@bugs.debian.org
Subject: Re: Bug#584350: refcard: FTBFS: xmlroff segfaults on japanese PDF
Date: Sun, 19 Sep 2010 21:49:54 +0200
On 2010-09-19 20:58, Simon Paillard wrote:
> Could you please send the list of the packages you have in your sid
> system ? It hope it will help

I built using a clean chroot with only the build deps.
Did ja not compile or does it just look bad?

> Given the current amount of fuzzy strings (I will issue a call for
> translation using podebconf-report-po), it would be insane to upload
> now:

There seems to be a massive fuzzification without change in the
English original. Maybe this is a change in po4a? A lot of
strings have only different markup: the <glossterm> is gone.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Sun, 19 Sep 2010 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Sun, 19 Sep 2010 20:57:06 GMT) Full text and rfc822 format available.

Message #49 received at 584350@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: "W. Martin Borgert" <debacle@debian.org>, 584350@bugs.debian.org
Subject: Re: Bug#584350: refcard: FTBFS: xmlroff segfaults on japanese PDF
Date: Sun, 19 Sep 2010 22:54:12 +0200
On Sun, Sep 19, 2010 at 09:49:54PM +0200, W. Martin Borgert wrote:
> On 2010-09-19 20:58, Simon Paillard wrote:
> > Could you please send the list of the packages you have in your sid
> > system ? It hope it will help
> 
> I built using a clean chroot with only the build deps.
> Did ja not compile or does it just look bad?

Same as what I mentionned in my intial mail: it compiles but looks bad,
while the previous build currently in sid looks ok. (similar to #492350)

> > Given the current amount of fuzzy strings (I will issue a call for
> > translation using podebconf-report-po), it would be insane to upload
> > now:
> 
> There seems to be a massive fuzzification without change in the
> English original. Maybe this is a change in po4a? A lot of
> strings have only different markup: the <glossterm> is gone.

Are you sure about the po4a version you use on your machine ? always the
last from sid ?

Indeed, I can't see a recent change in po4a that could explain
the change (but I'm not po4a expert).

-- 
Simon Paillard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Mon, 29 Nov 2010 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Mon, 29 Nov 2010 12:42:03 GMT) Full text and rfc822 format available.

Message #54 received at 584350@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 584350@bugs.debian.org, Simon Paillard <spaillard@debian.org>
Cc: debian-doc@lists.debian.or.jp
Subject: Re: refcard: FTBFS: xmlroff segfaults
Date: Mon, 29 Nov 2010 21:39:54 +0900
Hi,

>> >        else \
>> >            xmlroff --backend cairo -o refcard-ja-a4.s.pdf refcard-ja-a4.fo; \
>> >        fi; \
>
>Using cairo backend, japanese refcard can be built (while it failed by
>the past, see #492597), but I cannot get correct correct letters in the
>generated PDF (while metadata are correctly endoded).

 I could built it as you mentioned, and its letters seems to be fine 
 (I'd prefer to use otf-ipafont-gothic/mincho, but sazanami is okay).
 And put it at http://www.mithril-linux.org/~henrich/refcard-ja-a4.pdf,
 please check it


Index: refcard-5.0.5/Makefile
===================================================================
--- refcard-5.0.5.orig/Makefile 2010-11-29 11:01:35.659404846 +0900
+++ refcard-5.0.5/Makefile      2010-11-29 11:01:46.663405643 +0900
@@ -10,7 +10,7 @@
 XP=xsltproc --nonet --novalid
 XMLROFF=xmlroff --backend cairo
 # cairo backend of xmlroff 0.6.0 crashes on some languages (#492597)
-GPLIST=ar eu he hi ja sv
+GPLIST=ar eu he hi sv
 XMLROFF_GP=xmlroff --backend gp
 DIA=dia




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Mon, 29 Nov 2010 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Mon, 29 Nov 2010 21:51:03 GMT) Full text and rfc822 format available.

Message #59 received at 584350@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>, 584350@bugs.debian.org
Cc: debian-doc@lists.debian.or.jp
Subject: Re: Bug#584350: refcard: FTBFS: xmlroff segfaults
Date: Mon, 29 Nov 2010 22:49:04 +0100
On Mon, Nov 29, 2010 at 09:39:54PM +0900, Hideki Yamane wrote:
> >> >        else \
> >> >            xmlroff --backend cairo -o refcard-ja-a4.s.pdf refcard-ja-a4.fo; \
> >> >        fi; \
> >
> >Using cairo backend, japanese refcard can be built (while it failed by
> >the past, see #492597), but I cannot get correct correct letters in the
> >generated PDF (while metadata are correctly endoded).
> 
>  I could built it as you mentioned, and its letters seems to be fine 
>  (I'd prefer to use otf-ipafont-gothic/mincho, but sazanami is okay).
>  And put it at http://www.mithril-linux.org/~henrich/refcard-ja-a4.pdf,
>  please check it

Thanks for your mail.

It sounds the issue was actually a font issue.
Here is he pdf built with otf-ipafont-gothic as extra build-dep:
http://people.debian.org/~spaillard/refcard-ja-a4.pdf.gz

Could you please check it looks ok ?

Best regards.

-- 
Simon Paillard




Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Tue, 30 Nov 2010 00:15:02 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Tue, 30 Nov 2010 00:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Tue, 30 Nov 2010 03:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to victory <victory.deb@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Tue, 30 Nov 2010 03:09:03 GMT) Full text and rfc822 format available.

Message #68 received at 584350@bugs.debian.org (full text, mbox):

From: victory <victory.deb@gmail.com>
To: Simon Paillard <spaillard@debian.org>, 584350@bugs.debian.org
Cc: debian-doc@lists.debian.org
Subject: Re: Bug#584350: refcard: FTBFS: xmlroff segfaults
Date: Tue, 30 Nov 2010 12:06:37 +0900
On Mon, 29 Nov 2010 22:49:04 +0100
Simon Paillard wrote:

> It sounds the issue was actually a font issue.
> Here is he pdf built with otf-ipafont-gothic as extra build-dep:
> http://people.debian.org/~spaillard/refcard-ja-a4.pdf.gz
> Could you please check it looks ok ?

seems OK :-)


-- 
victory




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#584350; Package src:refcard. (Tue, 30 Nov 2010 13:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. (Tue, 30 Nov 2010 13:39:09 GMT) Full text and rfc822 format available.

Message #73 received at 584350@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Simon Paillard <spaillard@debian.org>
Cc: 584350@bugs.debian.org, debian-doc@lists.debian.or.jp
Subject: Re: Bug#584350: refcard: FTBFS: xmlroff segfaults
Date: Tue, 30 Nov 2010 22:38:36 +0900
On Mon, 29 Nov 2010 22:49:04 +0100
Simon Paillard <spaillard@debian.org> wrote:
> It sounds the issue was actually a font issue.
> Here is he pdf built with otf-ipafont-gothic as extra build-dep:
> http://people.debian.org/~spaillard/refcard-ja-a4.pdf.gz
> 
> Could you please check it looks ok ?

 Thanks! It looks good - much better than previous one :)
 

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane




Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Thu, 09 Dec 2010 20:39:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 09 Dec 2010 20:39:05 GMT) Full text and rfc822 format available.

Message #78 received at 584350-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 584350-close@bugs.debian.org
Subject: Bug#584350: fixed in refcard 5.0.6-1
Date: Thu, 09 Dec 2010 20:36:42 +0000
Source: refcard
Source-Version: 5.0.6-1

We believe that the bug you reported is fixed in the latest version of
refcard, which is due to be installed in the Debian FTP archive:

debian-refcard_5.0.6-1_all.deb
  to main/r/refcard/debian-refcard_5.0.6-1_all.deb
refcard_5.0.6-1.dsc
  to main/r/refcard/refcard_5.0.6-1.dsc
refcard_5.0.6-1.tar.gz
  to main/r/refcard/refcard_5.0.6-1.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 584350@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated refcard package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 08 Dec 2010 23:00:05 +0100
Source: refcard
Binary: debian-refcard
Architecture: source all
Version: 5.0.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 debian-refcard - printable reference card for the Debian system
Closes: 584350 592642 605495 605668 605927 606071 606153
Changes: 
 refcard (5.0.6-1) unstable; urgency=low
 .
   * Team upload.
 .
   [ Simon Paillard ]
   * Translation updates:
     - Arabic: Ossama Khayat. (Closes: #605495)
     - Bulgarian: Kamen Naydenov.
     - Chinese: Tetralet.
     - Chinese: yanliang tang.
     - Czech: Miroslav Kure. (Closes: 605927)
     - Danish: Kåre Thor Olsen.
     - Finnish: Tapio Lehtonen.
     - German: Holger Wansing. (Closes: #606153)
     - Hebrew: Omer Za.
     - Norwegian: Hans F. Nordhau.
     - Portuguese: Miguel Figueiredo.
     - Russian: Yuri Kozlov. (Closes: #592642)
     - Slovak: Ivan Masár. (Closes: #606071)
     - Spanish: Gunnar Wolf.
     - Turkish: Selçuk Mıynat.
   * Add otf-ipafont-gothic to build-deps for correct japanese PDF with cairo
   * Update for grub2 user conf path (Closes: #605668)
 .
   [ David Prévot ]
   * French Translation update.
 .
   [ W. Martin Borgert ]
   * Disabled xmlroff gnomeprint backend in Makefile to prevent crashes
     (Closes: #584350). So I hope. Tested in a clean sid chroot.
   * Specify debian/source/format is 1.0.
Checksums-Sha1: 
 f5cccccbe2ef6dd410c09cdb136e86f5dfd142f8 1785 refcard_5.0.6-1.dsc
 144c6b8bbcde5b969cfd503b39c82a793aa0973c 358630 refcard_5.0.6-1.tar.gz
 205b5fde4cc4a935cd4cbc1a8deb40aa659e6da9 2929968 debian-refcard_5.0.6-1_all.deb
Checksums-Sha256: 
 daebf833ada378a091330a5acd19fa68c5dc89706a6b0729d16470fcb40a0c56 1785 refcard_5.0.6-1.dsc
 5cacbf8740905cf2b587f4e109c14c5e802dd12f5b3c7eb4346b3b3cc56ce6c3 358630 refcard_5.0.6-1.tar.gz
 b449e4f0bb0e28d8077c6ef42f30ce3d90c075b068849dde6a20cfaac9f60c8f 2929968 debian-refcard_5.0.6-1_all.deb
Files: 
 d2d064a3ed2995afdc26c065eaa46e9c 1785 doc optional refcard_5.0.6-1.dsc
 e030dbe6656bf82f5c7cfcd9b1fb3838 358630 doc optional refcard_5.0.6-1.tar.gz
 360ea947f53c04e6a89dfcc3d269f475 2929968 doc optional debian-refcard_5.0.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNATX5AAoJEN/3OMLRbPuiJ3YQAIBFQElh9ZRERlelW0BpMjoX
A3o8ql2WURY5GqqIgOAjLKVowQeMIKkHPq/w+wVIGd6FTK1lOEPnu2KJDr8luD9z
SBh/GGpDJd8QDGLTBba+EcbisRR9PT9b+MsRLev7DDwCSTeeE7S/XwSss5ooDZpi
lS2njowhaAKfetFZk7h0NpikTKgotQ5PQITXJCPhVRzrsQjtAPKo4JVu60K7oBeJ
tx17omG6oL0wRDn2MMkeGnPOk6rR1crm+aoUCR9Q20ohrL80rqQ5Rwfs2nEA9Gey
C5kDFAxn8cOdMrE6DxVsGTaE7td9KDzZi8kiLVl5G8pcS/nf3JZIym7jGahSbUIL
uN2qNp+0QaArMNxfu4Fu8DeSsh25Nn/unEi6ik4+cfMrCOmOZL5ZaJfuENL12nMM
r/2auCsy5mV92C9w9lOY0Tr1funDiolPFSv+GDDZ5Dk8rsB84wWlyl7Xyq6OLRCf
IPSdDdKPbm/i2sqvLNvRBlOfiq6mA5Jpq65CcnrKkx1Or2BbOHG94txIsKR8LhEi
yqFraJO9tr/Go+ZV4gQAFIRuHzE69Tk5jZrlLAoYbYGw7cpCjmZBXqg3yi9UYxsd
YnCHEj2+NonjM31xMg23s4d8s+TQC0bMzm7JYW/zqekstCgRW+8AAAlS1Ziz7ISG
5g+8foUlyLhOJ19h7T2h
=VuHY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jan 2011 07:34:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:13:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.